<?php
include_once('../../../php/sessionStart.php');
include_once('../../../php/db/dbExec.php');
include_once('../../../php/functions.php');
include_once('../../../php/timezone.php');
include_once('../../../php/privileges.php');

$bitForm = "inv4100";
$bitMod = "inv";
$empCod = $_SESSION['empCod'];
$usuCod = utf8_decode($_SESSION['usuCod']);
$usuNom = utf8_decode($_SESSION['usuNom']);

switch ($_POST['action']) {
	case 'consultarTpuesto':
		echo consultarTpuesto();
		break;

	case 'guardar':
		echo guardar();
		break;

	case 'borrar':
		echo borrar();
		break;
}

function consultarTpuesto() {
	global $empCod;
	$numCod=utf8_decode($_POST['numCod']);

	# QUERYS
	$sTpuesto = "SELECT *, TRIM(tpu_nom) AS tpu_nom FROM tpuesto where tpu_cod='$numCod'";

	# EJECUCION DE QUERYS
	$db = new dbExec();
	$resp = $db->sEx($sTpuesto, "tpuesto");
	$db->close();

	$func = new functions();

	return $func->jsonEncodeArray($resp, "tpuesto");
}


function guardar() {
	global $empCod, $usuNom, $bitMod, $bitForm;

	$priv = new privileges();
	if (!$priv->modify($_SESSION['usuPriv'])) {
		return json_encode($priv->rErrorModify());
	}

	$func = new functions();

	$numCod=$_POST['numCod'];
	$txtNom=utf8_decode($_POST['txtNom']);

	# QUERYS PARA UN REGISTRO
	$iTpuesto = "INSERT INTO tpuesto(tpu_cod, tpu_nom) VALUES ('$numCod','$txtNom')";

	$uTpuesto = "UPDATE tpuesto SET tpu_nom='$txtNom' WHERE tpu_cod='$numCod'";

	# EJECUCION DE QUERYS 
	$db = new dbExec();
	if ($func->stringToBool($_POST['nuevo'])) {
		$resp = $db->iEx($iTpuesto);
		$db->iEx($func->iBitacora(utf8_decode("Se creó Puesto, Codigo: $numCod   txtNom Usuario: ").$usuNom, $bitMod, $bitForm));
	} else {
		$resp = $db->uEx($uTpuesto);
		$db->iEx($func->iBitacora(utf8_decode("Se modificó Puesto, Codigo: $numCod   $txtNom Usuario: ").$usuNom, $bitMod, $bitForm));
	}
	
	$db->close();

	return json_encode($resp);
}

function borrar() {
	global $empCod, $usuNom, $bitMod, $bitForm;

	$func = new functions();

	$numCod=$_POST['numCod'];
	$txtNom=$_POST['txtNom'];

	# QUERYS
	$dTpuesto = "DELETE FROM tpuesto WHERE tpu_cod='$numCod'";

	# EJECUCION DE QUERYS 
	$db = new dbExec();
	$resp = $db->dEx($dTpuesto);
	$db->iEx($func->iBitacora(utf8_decode("Se borró Puesto, Codigo: $numCod  $txtNom Usuario: ").$usuNom, $bitMod, $bitForm));
	$db->close();

	return json_encode($resp);
}
?>